org.apache.cassandra.io.sstable

## Class Descriptor.Version

- java.lang.Object
- - org.apache.cassandra.io.sstable.Descriptor.Version

- Enclosing class:
    Descriptor

      public static class Descriptor.Version
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Descriptor.Version` | `CURRENT`
    `static java.lang.String` | `current_version`
    `FilterFactory.Type` | `filterType`
    `boolean` | `hasAncestors`
    `boolean` | `hasCompressionRatio`
    `boolean` | `hasEncodedKeys`
    `boolean` | `hasIntRowSize`
    `boolean` | `hasPartitioner`
    `boolean` | `hasPromotedIndexes`
    `boolean` | `hasRowLevelBF`
    `boolean` | `hasStringsInBloomFilter`
    `boolean` | `isLatestVersion`
    `static Descriptor.Version` | `LEGACY`
    `boolean` | `metadataIncludesModernReplayPosition`
    `boolean` | `metadataIncludesReplayPosition`
    `boolean` | `tracksMaxTimestamp`
    `boolean` | `tracksMinTimestamp`
    `boolean` | `tracksTombstones`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Descriptor.Version(java.lang.String version)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsTimestamp()` Versions [h..hc] contained a timestamp value that was computed incorrectly, ignoring row tombstones.
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `boolean` | `isCompatible()`
    `boolean` | `isStreamCompatible()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### current_version

          public static final java.lang.String current_version

      See Also:
        Constant Field Values

    - #### LEGACY

          public static final Descriptor.Version LEGACY

    - #### CURRENT

          public static final Descriptor.Version CURRENT

    - #### hasStringsInBloomFilter

          public final boolean hasStringsInBloomFilter

    - #### hasIntRowSize

          public final boolean hasIntRowSize

    - #### hasEncodedKeys

          public final boolean hasEncodedKeys

    - #### isLatestVersion

          public final boolean isLatestVersion

    - #### metadataIncludesReplayPosition

          public final boolean metadataIncludesReplayPosition

    - #### metadataIncludesModernReplayPosition

          public final boolean metadataIncludesModernReplayPosition

    - #### tracksMaxTimestamp

          public final boolean tracksMaxTimestamp

    - #### tracksMinTimestamp

          public final boolean tracksMinTimestamp

    - #### hasCompressionRatio

          public final boolean hasCompressionRatio

    - #### hasPartitioner

          public final boolean hasPartitioner

    - #### tracksTombstones

          public final boolean tracksTombstones

    - #### hasPromotedIndexes

          public final boolean hasPromotedIndexes

    - #### filterType

          public final FilterFactory.Type filterType

    - #### hasAncestors

          public final boolean hasAncestors

    - #### hasRowLevelBF

          public final boolean hasRowLevelBF

  - ### Constructor Detail

    - #### Descriptor.Version

          public Descriptor.Version(java.lang.String version)

  - ### Method Detail

    - #### isCompatible

          public boolean isCompatible()

    - #### isStreamCompatible

          public boolean isStreamCompatible()

    - #### containsTimestamp

          public boolean containsTimestamp()

      Versions [h..hc] contained a timestamp value that was computed incorrectly, ignoring row tombstones. containsTimestamp returns true if there is a timestamp value in the metadata file; to know if it actually contains a *correct* timestamp, see tracksMaxTimestamp.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation